Skip to main content
curl -X GET "https://api.chargefy.io/v1/charges?payment_intent=pi_123&limit=10" \
  -H "Authorization: Bearer {{API_KEY}}"
{
  "object": "list",
  "data": [
    {
      "id": "ch_123",
      "object": "charge",
      "amount": 9990,
      "amount_captured": 9990,
      "amount_refunded": 0,
      "billing_details": {},
      "captured": true,
      "created_at": "2026-05-16T18:35:00Z",
      "currency": "brl",
      "customer": "cus_123",
      "description": null,
      "disputed": false,
      "invoice": "inv_123",
      "livemode": true,
      "metadata": {},
      "paid": true,
      "payment_error": null,
      "payment_intent": "pi_123",
      "payment_method": "pm_123",
      "payment_method_details": {
        "card": {
          "brand": "visa",
          "exp_month": 12,
          "exp_year": 2030,
          "installments": 1,
          "last4": "4242"
        },
        "type": "credit_card"
      },
      "receipt_url": null,
      "refunded": false,
      "refunds": {
        "object": "list",
        "data": [],
        "has_more": false,
        "url": "/v1/refunds?charge=ch_123"
      },
      "status": "succeeded",
      "updated_at": "2026-05-16T18:35:00Z"
    }
  ],
  "has_more": false,
  "url": "/v1/charges"
}
Lista charges em ordem decrescente de criação. Charges são somente leitura: para cobrar alguém, crie e confirme um payment_intent.

Filtros

payment_intent
string
Filtra por payment intent (pi_*).
invoice
string
Filtra por invoice (inv_*).
customer
string
Filtra por customer (cus_*).
payment_method
string
Filtra por payment method (pm_*).
status
string
Filtra por status: pending, processing, succeeded, failed ou canceled.
limit
integer
Quantidade de itens, de 1 a 100.
starting_after
string
Cursor para a próxima página.
ending_before
string
Cursor para a página anterior.
curl -X GET "https://api.chargefy.io/v1/charges?payment_intent=pi_123&limit=10" \
  -H "Authorization: Bearer {{API_KEY}}"
{
  "object": "list",
  "data": [
    {
      "id": "ch_123",
      "object": "charge",
      "amount": 9990,
      "amount_captured": 9990,
      "amount_refunded": 0,
      "billing_details": {},
      "captured": true,
      "created_at": "2026-05-16T18:35:00Z",
      "currency": "brl",
      "customer": "cus_123",
      "description": null,
      "disputed": false,
      "invoice": "inv_123",
      "livemode": true,
      "metadata": {},
      "paid": true,
      "payment_error": null,
      "payment_intent": "pi_123",
      "payment_method": "pm_123",
      "payment_method_details": {
        "card": {
          "brand": "visa",
          "exp_month": 12,
          "exp_year": 2030,
          "installments": 1,
          "last4": "4242"
        },
        "type": "credit_card"
      },
      "receipt_url": null,
      "refunded": false,
      "refunds": {
        "object": "list",
        "data": [],
        "has_more": false,
        "url": "/v1/refunds?charge=ch_123"
      },
      "status": "succeeded",
      "updated_at": "2026-05-16T18:35:00Z"
    }
  ],
  "has_more": false,
  "url": "/v1/charges"
}